---
id: devil-torrents
name: Devil-Torrents
description: "Devil-Torrents is a POLISH Semi-Private Torrent Tracker for MOVIES / TV / GENERAL"
language: pl-PL
type: semi-private
encoding: UTF-8
links:
  - https://devil-torrents.pl/

caps:
  categorymappings:
    - {id: 1, cat: Movies/SD, desc: "Filmy XviD/DivX"}
    - {id: 748, cat: Movies/UHD, desc: "Filmy 4K"}
    - {id: 4, cat: Movies/BluRay, desc: "Filmy Blu-Ray/HD"}
    - {id: 642, cat: Movies/HD, desc: "Filmy x264/h264"}
    - {id: 596, cat: Movies/HD, desc: "Filmy x265/h265"}
    - {id: 3, cat: Movies/DVD, desc: "Filmy DVD"}
    - {id: 5, cat: Movies/3D, desc: "Filmy 3D"}
    - {id: 2, cat: Movies/HD, desc: "Filmy RMVB"}
    - {id: 362, cat: Movies/SD, desc: "Filmy IVO"}
    - {id: 7, cat: TV, desc: "TV/Seriale"}
    - {id: 702, cat: Movies/SD, desc: "TS/CAM"}
    - {id: 8, cat: XXX, desc: "Erotyka"}
    - {id: 10, cat: Audio, desc: "Muzyka"}
    - {id: 11, cat: PC, desc: "Programy"}
    - {id: 12, cat: PC/Mobile-Other, desc: "GSM/PDA"}
    - {id: 13, cat: Console, desc: "Konsole"}
    - {id: 14, cat: PC/Games, desc: "Gry PC"}
    - {id: 15, cat: Movies, desc: "Dla Dzieci"}
    - {id: 16, cat: Books, desc: "Książki"}
    - {id: 525, cat: PC/Mac, desc: "Mac"}
    - {id: 18, cat: PC, desc: "Linux"}
    - {id: 19, cat: TV/Sport, desc: "Sport"}
    - {id: 699, cat: TV/Anime, desc: "Anime"}
    - {id: 21, cat: Other, desc: "Inne"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: multilang
    type: checkbox
    label: Replace MULTi by another language in release name
    default: false
  - name: multilanguage
    type: select
    label: Replace MULTi by this language
    default: POLISH
    options:
      POLISH: POLISH
      MULTi POLISH: MULTi POLISH
  - name: info_flaresolverr
    type: info_flaresolverr

login:
  path: logowanie
  method: form
  form: form[action="takelogin.php"]
  captcha:
    type: image
    selector: img[src^="img.php?size=3"]
    input: vImageCodP
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    returnto: ""
  error:
    - selector: div#center-side:contains("Logowanie nie")
  test:
    path: /
    selector: a[href$="/logout.php"]

search:
  # https://devil-torrents.pl/szukaj.php?search=%&typ=torrent&c4=1&c748=1
  paths:
    - path: "{{ if .Keywords }}szukaj.php{{ else }}files-torrent{{ end }}"
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    typ: "{{ if .Keywords }}torrent{{ else }}{{ end }}"
    search: "{{ if .Keywords }}{{ .Keywords }}{{ else }}{{ end }}"

  rows:
    selector: table.test5 > tbody > tr > td > div[id]:has(a[href^="download/"])

  fields:
    category:
      selector: div#kategoria-gatunek-1
      case:
        "div#kategoria-gatunek-1:contains(\"Filmy XviD/DivX\")": 1
        "div#kategoria-gatunek-1:contains(\"Filmy 4K\")": 748
        "div#kategoria-gatunek-1:contains(\"Filmy Blu-Ray/HD\")": 4
        "div#kategoria-gatunek-1:contains(\"Filmy x264/h264\")": 642
        "div#kategoria-gatunek-1:contains(\"Filmy x265/h265\")": 596
        "div#kategoria-gatunek-1:contains(\"Filmy DVD\")": 3
        "div#kategoria-gatunek-1:contains(\"Filmy 3D\")": 5
        "div#kategoria-gatunek-1:contains(\"Filmy RMVB\")": 2
        "div#kategoria-gatunek-1:contains(\"Filmy IVO\")": 362
        "div#kategoria-gatunek-1:contains(\"TV/Seriale\")": 7
        "div#kategoria-gatunek-1:contains(\"TS/CAM\")": 702
        "div#kategoria-gatunek-1:contains(\"Erotyka\")": 8
        "div#kategoria-gatunek-1:contains(\"Muzyka\")": 10
        "div#kategoria-gatunek-1:contains(\"Programy\")": 11
        "div#kategoria-gatunek-1:contains(\"GSM/PDA\")": 12
        "div#kategoria-gatunek-1:contains(\"Konsole\")": 13
        "div#kategoria-gatunek-1:contains(\"Gry PC\")": 14
        "div#kategoria-gatunek-1:contains(\"Dla Dzieci\")": 15
        "div#kategoria-gatunek-1:contains(\"Książki\")": 16
        "div#kategoria-gatunek-1:contains(\"Mac\")": 525
        "div#kategoria-gatunek-1:contains(\"Linux\")": 18
        "div#kategoria-gatunek-1:contains(\"Sport\")": 19
        "div#kategoria-gatunek-1:contains(\"Anime\")": 699
        "div#kategoria-gatunek-1:contains(\"Inne\")": 21
    title_phase1:
      selector: a[href^="/torrent/"]
      attribute: title
    title_multilang:
      selector: a[href^="/torrent/"]
      attribute: title
      filters:
        - name: re_replace
          args: ["(?i)\\b(MULTI(?!.*(?:POLISH|ENGLISH|\\bPL\\b)))\\b", "{{ .Config.multilanguage }}"]
        - name: re_replace
          args: ["(?i)\\b(pl)\\b", "POLISH"]
    title:
      text: "{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_phase1 }}{{ end }}"
    details:
      selector: a[href^="/torrent/"]
      attribute: href
    download:
      selector: a[href^="download/"]
      attribute: href
    poster:
      selector: img.browse_poster
      attribute: src
    date:
      selector: td.descr3
      filters:
        - name: regexp
          args: (\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2})
        - name: append
          args: " +01:00" # CET
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    size:
      selector: td.descr3
      filters:
        - name: regexp
          args: (\d{1,4}\.\d{2}\s+?[T|G|M|k]B)
    seeders:
      selector: font[color="green"] > b, font[color="red"] > b
    leechers:
      selector: font[color="green"]:nth-of-type(2) > b, font[color="red"]:nth-of-type(2) > b
    grabs:
      selector: td.descr3
      filters:
        - name: regexp
          args: (\d{1,4}) razy
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
